Bug 804623 - [abrt] emesene-2.11.11-1.fc16: emesene.py:653:on_contact_added_you:AttributeError: 'NoneType' object has no attribute 'reject_contact'
[abrt] emesene-2.11.11-1.fc16: emesene.py:653:on_contact_added_you:AttributeE...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emesene (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
abrt_hash:4360596fc5b58a728bd45c3c113...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 09:11 EDT by Chen_Min_Chin
Modified: 2013-02-13 09:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:51:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chen_Min_Chin 2012-03-19 09:11:19 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/lib/python2.7/site-packages/emesene/emesene
executable:     /usr/lib/python2.7/site-packages/emesene/emesene
kernel:         3.2.10-3.fc16.i686.PAE
reason:         emesene.py:653:on_contact_added_you:AttributeError: 'NoneType' object has no attribute 'reject_contact'
time:           Mon 19 Mar 2012 09:05:47 PM CST
uid:            1000
username:       chen

backtrace:
:emesene.py:653:on_contact_added_you:AttributeError: 'NoneType' object has no attribute 'reject_contact'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/emesene/gui/gtkui/Dialog.py", line 1722, in cb_reject
:    self.switchmail(None, -1)
:  File "/usr/lib/python2.7/site-packages/emesene/gui/gtkui/Dialog.py", line 1701, in switchmail
:    self.update()
:  File "/usr/lib/python2.7/site-packages/emesene/gui/gtkui/Dialog.py", line 1670, in update
:    self.hide()
:  File "/usr/lib/python2.7/site-packages/emesene/gui/gtkui/Dialog.py", line 1705, in hide
:    self.callback({'accepted': self.accepted, 'rejected': self.rejected})
:  File "/usr/lib/python2.7/site-packages/emesene/emesene.py", line 653, in on_contact_added_you
:    self.session.reject_contact(account)
:AttributeError: 'NoneType' object has no attribute 'reject_contact'
:
:Local variables in innermost frame:
:account: 'ytPavyulitaLoxaurent@hotmail.com'
:responses: {'accepted': [], 'rejected': ['ytPavyulitaLoxaurent@hotmail.com', 'nanyu-stone@hotmail.com']}
:self: <emesene.Controller object at 0xacb562c>

smolt_data:
:
:
:General
:=================================
:UUID: b0643e11-d1ae-46af-8340-7b08c3d0f864
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4389.39
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core CPU       T4400  @ 2.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2200
:System Memory: 4024
:System Swap: 5087
:Vendor: Acer
:System: Aspire 4736Z V2.08
:Form factor: Notebook
:Kernel: 3.2.10-3.fc16.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4133:608) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4133:608) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(5772:42:6706:774) pci, ath9k, NETWORK, AR928X Wireless Network Adapter (PCI-Express)
:(32902:10544:4133:608) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4133:608) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4133:608) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10546:4133:608) pci, None, NONE, 82801I (ICH9 Family) Thermal Subsystem
:(32902:9288:4133:608) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(6523:9091:4133:608) pci, jmb38x_ms, BASE, MS Host Controller
:(6523:9089:4133:608) pci, None, BASE, Standard SD Host Controller
:(32902:10554:4133:608) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4133:608) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10560:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4133:608) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4318:1772:4133:608) pci, nouveau, VIDEO, G98M [GeForce G 105M]
:(6523:9092:4133:608) pci, None, BASE, xD Host Controller
:(6505:4195:4133:608) pci, atl1c, ETHERNET, AR8131 Gigabit Ethernet
:(6523:9090:4133:608) pci, sdhci-pci, BASE, SD/MMC Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13081819 9637088 8981728 3276800 2955653 2955653
:/dev/sda2 /boot ext4 1024 1024 508745 412594 386994 128016 127746 127746
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 63528600 36961637 33781503 15900672 15882873 15882873
:
Comment 1 Fedora End Of Life 2013-01-16 08:55:51 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 09:51:57 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.